Categorization
Counterparty-based transaction categorization rules
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/match-patterns?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "patterns": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "counterpartyPattern": "string", "mappedEventType": "string", "mappedAccountId": "256da399-84fb-437c-b069-8e87e49d3252", "mappedAccountRole": "string", "accountName": "string", "matchCount": 0, "lastUsedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ]}{ "error": "string"}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/match-patterns" \ -H "Content-Type: application/json" \ -d '{ "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "counterpartyPattern": "string" }'{ "pattern": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "counterpartyPattern": "string", "mappedEventType": "string", "mappedAccountId": "256da399-84fb-437c-b069-8e87e49d3252", "mappedAccountRole": "string", "accountName": "string", "matchCount": 0, "lastUsedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" }}{ "error": "string"}{ "error": "string"}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/match-patterns" \ -H "Content-Type: application/json" \ -d '{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }'{ "error": "string"}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/match-patterns?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/match-patterns/retroactive?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08&counterparty=string&newEventType=string"{ "matchCount": 0, "matches": [ { "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c", "description": "string", "amount": "string" } ]}{ "error": "string"}